Page 2 of 8

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Jan 19, 2015 7:31 am
by Monsta
reference2myself wrote:Got lots of cinnamon updates today. Idk what's changed though because I haven't experienced any problems since the few i fixed with the initial upgrade.
It was mentioned in the recent news:
LMDE 2 “Betsy” received a lot of updates this week and its “Mint” packages are now almost on par with Linux Mint 17.1 Rebecca.
- from http://blog.linuxmint.com/?p=2764

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Thu Jan 22, 2015 3:33 pm
by unforgiving
Hi, I've update my LMDE, so far so good, except for some glitchs in applications (remmina, gedit), when running with normal user and running with Root have difference, check the screen below:

Gedit running with normal user:
Image

Gedit running with Root:
Image

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Jan 23, 2015 12:50 am
by Monsta
That's already fixed in the latest mint-themes-gtk3 package in Betsy repo.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Thu Jan 29, 2015 9:44 pm
by reference2myself
I switched to systemd a while back, it gave me a faster boot time, I'm wondering though if I should switch back to sysvinit since the mint team decided to stick with it for now...

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Thu Feb 05, 2015 12:51 pm
by Fred Barclay
I tried it using the guidelines in the first post. I either came out with one of two problems:
1. I did nothing but run

Code: Select all

sudo apt-get update && sudo apt-get dist-upgrade
after changing my repositories, and Cinnamon crashed at login.
2. I next (after reinstalling LMDE) removed Cinnamon with

Code: Select all

sudo apt-get --purge autoremove cinnamon
and then updated. I installed Cinnamon with

Code: Select all

sudo apt-get install mint-meta-debian-cinnamon
. Everything looked good until I opened and closed Firefox. Suddenly the background image showed black bars across itself. I tried rebooting and removing and reinstalling Cinnamon. Still happened.
I did run

Code: Select all

cinnamon --version
which confirmed that it was cinnamon 2.4--I think it was 2.4.5. Definitely quite a nice desktop.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Fri Feb 06, 2015 8:53 pm
by reference2myself
Fred Barclay wrote:I tried it using the guidelines in the first post. I either came out with one of two problems:
1. I did nothing but run

Code: Select all

sudo apt-get update && sudo apt-get dist-upgrade
after changing my repositories, and Cinnamon crashed at login.
2. I next (after reinstalling LMDE) removed Cinnamon with

Code: Select all

sudo apt-get --purge autoremove cinnamon
and then updated. I installed Cinnamon with

Code: Select all

sudo apt-get install mint-meta-debian-cinnamon
. Everything looked good until I opened and closed Firefox. Suddenly the background image showed black bars across itself. I tried rebooting and removing and reinstalling Cinnamon. Still happened.
I did run

Code: Select all

cinnamon --version
which confirmed that it was cinnamon 2.4--I think it was 2.4.5. Definitely quite a nice desktop.
That sucks, been rock solid for me. Should be version 2.4.6 as of right now. Been getting mint updates almost daily so hopefully they're getting close to a beta release.

https://dl.dropboxusercontent.com/u/218 ... 9%3A08.png

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sat Feb 07, 2015 10:49 pm
by reference2myself
I just started having something weird going on with my background too, computer freezes for a minute and when it unfreezes it has a different background with black bars all around it. Must have introduced a bug in the recent updates. I don't know what's triggering it.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Feb 08, 2015 6:34 am
by Monsta
reference2myself wrote:I just started having something weird going on with my background too, computer freezes for a minute and when it unfreezes it has a different background with black bars all around it.
Can you post a screenshot of it?

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Feb 08, 2015 11:46 am
by reference2myself
Monsta wrote:
reference2myself wrote:I just started having something weird going on with my background too, computer freezes for a minute and when it unfreezes it has a different background with black bars all around it.
Can you post a screenshot of it?
I will if it happens again, but pretty much it just looks like it was choosing a random background with the picture aspect centered. I don't have it set to change backgrounds and I have the picture aspect set to zoom so it's quite strange behavior. Each time it was after a momentary freeze, I was about to reset my computer before it happened each time because the keyboard input was doing nothing, mouse was working but couldn't click anything, then suddenly it would unfreeze and I'd have a new wallpaper.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Sun Feb 08, 2015 2:43 pm
by Monsta
Sounds like some part of Cinnamon crashed and then took some time to restart...

If it happens again, please post the output of these commands as well:

Code: Select all

dmesg | tail

Code: Select all

cat ~/.xsession-errors

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Mon Feb 09, 2015 12:20 pm
by hbco2
reference2myself wrote:
ohell wrote:
mtwebster wrote:Cinnamon does *try* to autodetect hidpi monitors, however it's fairly error-prone, which is why we let you override that in settings. Unfortunately monitors don't come with a "I AM HI-DPI" flag that can just be detected - various methods of figuring out what your true DPI is take place, taking into account vendor-supplied info, screen size, etc... the problem with all of this is that manufacturers do a very poor job of filling all of this information and ensuring that it's correct - garbage in/garbage out is the usual result.
Sure, but double scaling looks horrible (too large, and UI scales but not the text in many apps, like Firefox), while auto does not do anything.
I wish there was an advanced option to specify the monitor DPI manually for each detected monitor. Maybe sometime in the future.
Yeah that would be nice. I wonder if there's a file u can edit to manually specify.
I wish there was an advanced option to at least lock the parameters of a detected monitor. That is supposed to be accomplished with the optional file /etc/X11/xorg.conf, but the configuration of that file is very complex. Various attempts to generate a template xorg.conf haven't worked here. The monitor autodetect *always* defaults to a low resolution if the display is operated with older KVM switches and there is no way to select a configuration that matches the display manufacturer's recommended settings.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Feb 10, 2015 1:54 pm
by Crewp
I know it's early yet but, I changed my repo's and am running Betsy with Cinnamon 2.4 And I gotta tell ya she is running very very well. I have yet to find a single bug, the only thing I found at all is the Software Manager loads very slow, and when typing in text to search in Software Manager, she is real slow to respond. But other than that so far Betsy is beautiful. But I'll keep running her through the paces to see what else I might find. :D

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Feb 10, 2015 5:17 pm
by Fred Barclay
Can you post exactly what you did? I'd like to try it again.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Feb 10, 2015 5:26 pm
by Crewp
Sure Fred, first I went into etc/apt/sources.list.d and deleted the current repo's. Then I put the exact repo's listed in the original OP comments and saved. Then open the terminal and sudo apt-get dist-upgrade. That's it.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Feb 10, 2015 7:07 pm
by Fred Barclay
Hmmm...
I did the same except for running apt-get update first. Wonder why mine didn't turn out well?

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Feb 10, 2015 8:29 pm
by Crewp
Hi Fred, as LMDE installed did you answer ( Y ) yes to all changes to update or replace current settings ? If so try this, use the Update Manager to install the new system, now packages are going to break, then go to synaptic package manager fix the broken packages, and try again.

PS We are playing with a beta version here, so it does not always go smoothly.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Tue Feb 10, 2015 11:13 pm
by Fred Barclay
I did answer Y.
I've never used synaptic. Know of any good guides towards it's use? I've always just used apt-get or the software manager.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Wed Feb 11, 2015 12:53 am
by Monsta
Did you have mint-meta-debian-cinnamon installed before the upgrade?

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Wed Feb 11, 2015 7:56 am
by Crewp
Sorry Fred, I don't know any guide's for synaptic. Like everything else I learn from trial and error.

Monsta, Betsy is beautiful. the team should be real proud of the work done in her. I've had stable release's of distro's not as good as this, and she is still in beta.

Re: LMDE 2 Betsy with Cinnamon 2.4

Posted: Wed Feb 11, 2015 12:30 pm
by Fred Barclay
Monsta wrote:Did you have mint-meta-debian-cinnamon installed before the upgrade?
If you're asking me--yes and no.
I tried upgrading without removing Cinnamon (which is mint-meta-debian-cinnamon, right?) and it failed.
I also tried upgrading after removing Cinnamon and then installing mint-meta-debian-cinnamon.